Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Class ClientConsumer

    java.lang.Object
      org.jboss.mq.server.ClientConsumer

All Implemented Interfaces:
  Work

public class ClientConsumer
extends Object
implements Work

This represent the clients queue which consumes messages from the destinations on the provider.

Version:
  $Revision: 1.21.6.2 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), Peter Antman

Constructor Summary
`ClientConsumer(JMSDestinationManager server, ConnectionToken connectionToken)`

Method Summary
`void` | `acknowledge(AcknowledgementRequest request, Tx txId)`
`void` | `addSubscription(Subscription req)`
`void` | `close()`
`void` | `doWork()` Push some messages.
`Subscription` | `getSubscription(int subscriberId)` Get a subscription for the subscriberid
`void` | `queueMessageForSending(RoutedMessage r)`
`SpyMessage` | `receive(int subscriberId, long wait)`
`void` | `removeSubscription(int subscriptionId)`
`void` | `setEnabled(boolean enabled)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientConsumer

    public ClientConsumer(JMSDestinationManager server,
                          ConnectionToken connectionToken)
                   throws javax.jms.JMSException

Method Detail

### setEnabled

    public void setEnabled(boolean enabled)
                    throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### queueMessageForSending

    public void queueMessageForSending(RoutedMessage r)

### addSubscription

    public void addSubscription(Subscription req)
                         throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### close

    public void close()

### receive

    public SpyMessage receive(int subscriberId,
                              long wait)
                       throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### removeSubscription

    public void removeSubscription(int subscriptionId)
                            throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### doWork

    public void doWork()

  Push some messages.

  Specified by:
    `doWork` in interface `Work`

### toString

    public String toString()

### acknowledge

    public void acknowledge(AcknowledgementRequest request,
                            Tx txId)
                     throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### getSubscription

    public Subscription getSubscription(int subscriberId)
                                 throws javax.jms.JMSException

  Get a subscription for the subscriberid

  Throws:
    `javax.jms.JMSException` - if it can not find the subscription.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.